InvalidMidiDataException (Java SE 25 & JDK 25)
Description: declaration: module: java.desktop, package: javax.sound.midi, class: InvalidMidiDataException
Keywords: javax.sound.midi.InvalidMidiDataException class

# Class InvalidMidiDataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.sound.midi.InvalidMidiDataException

All Implemented Interfaces:
  `Serializable`

public class InvalidMidiDataException extends Exception
An `InvalidMidiDataException` indicates that inappropriate MIDI data was encountered. This often means that the data is invalid in and of itself, from the perspective of the MIDI specification. An example would be an undefined status byte. However, the exception might simply mean that the data was invalid in the context it was used, or that the object to which the data was given was unable to parse or use it. For example, a file reader might not be able to parse a Type 2 MIDI file, even though that format is defined in the MIDI specification.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidMidiDataException()`
  Constructs an `InvalidMidiDataException` with `null` for its error detail message.
  `InvalidMidiDataException(String message)`
  Constructs an `InvalidMidiDataException` with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidMidiDataException

    public InvalidMidiDataException()
    Constructs an `InvalidMidiDataException` with `null` for its error detail message.

  - ### InvalidMidiDataException

    public InvalidMidiDataException(String message)
    Constructs an `InvalidMidiDataException` with the specified detail message.
    Parameters:
      `message` - the string to display as an error detail message